Subject: Lite5200 full duplex support

From: Grant Likely <[email-masked]>
Date: Tue, 15 Feb 2005 16:48:19 -0700

I'm using Sylvain's http://bkbits.246tnt.com:14690/linux-2.5-mpc52xx
bk tree on a lite5200 evb.  I noticed that the FEC driver is hard
coded to only support half duplex 10/100 auto-negotiation.  Is that
intentional?  Are there any known problems with running full duplex?

I modified the code to allow full duplex and I haven't observed any
problems yet.  (w/ nfsroot and compiling apps on the target natively)

Cheers,
g.

BTW, here's what I changed:
drivers/net/fec_mpc52xx/fec_phy.c line 294 (phy_info_lxt971)
from:
        { mk_mii_write(MII_REG_ANAR, 0x0A1), NULL }, /* 10/100, HD */
to:
        { mk_mii_write(MII_REG_ANAR, 0x1E1), NULL }, /* 10/100, HD */